com.r3corda.node.services.monitor / ServiceToClientEvent

# ServiceToClientEvent

`sealed class ServiceToClientEvent`

Events triggered by changes in the node, and sent to monitoring client(s).

### Types

OutputState | `class OutputState : ServiceToClientEvent`
Progress | `class Progress : ServiceToClientEvent`
StateMachine | `class StateMachine : ServiceToClientEvent`
Transaction | `class Transaction : ServiceToClientEvent`
TransactionBuild | `class TransactionBuild : ServiceToClientEvent`

### Properties

time | `val time: Instant`

### Inheritors

OutputState | `class OutputState : ServiceToClientEvent`
Progress | `class Progress : ServiceToClientEvent`
StateMachine | `class StateMachine : ServiceToClientEvent`
Transaction | `class Transaction : ServiceToClientEvent`
TransactionBuild | `class TransactionBuild : ServiceToClientEvent`